File: 00_required_modules.t

package info (click to toggle)
libmce-perl 1.517-1
  • links: PTS, VCS
  • area: main
  • in suites: jessie, jessie-kfreebsd
  • size: 1,864 kB
  • ctags: 377
  • sloc: perl: 10,516; makefile: 2
file content (15 lines) | stat: -rwxr-xr-x 420 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
#!/usr/bin/env perl

use strict;
use warnings;

use Test::More tests => 5;

## The following are minimum Perl modules required by MCE

BEGIN { use_ok('Fcntl', qw( :flock O_CREAT O_TRUNC O_RDWR O_RDONLY )); }
BEGIN { use_ok('File::Path', qw( rmtree )); }
BEGIN { use_ok('Socket', qw( :DEFAULT :crlf )); }
BEGIN { use_ok('Storable', 2.04, qw( store retrieve freeze thaw )); }
BEGIN { use_ok('Time::HiRes', qw( time )); }